## lxml 1.1.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-PYTHON=python2.3
+PYTHON?=python
 TESTFLAGS=-p -v
 TESTOPTS=
 SETUPFLAGS=
@@ -17,6 +17,11 @@
 
 test_inplace: inplace
 	$(PYTHON) test.py $(TESTFLAGS) $(TESTOPTS)
+	PYTHONPATH=src $(PYTHON) selftest.py
+	PYTHONPATH=src $(PYTHON) selftest2.py
+
+bench_inplace: inplace
+	$(PYTHON) bench.py -i
 
 ftest_build: build
 	$(PYTHON) test.py -f $(TESTFLAGS) $(TESTOPTS)
@@ -24,13 +29,19 @@
 ftest_inplace: inplace
 	$(PYTHON) test.py -f $(TESTFLAGS) $(TESTOPTS)
 
+html:
+	mkdir -p doc/html
+	$(PYTHON) doc/mkhtml.py doc/html . `cat version.txt`
+
 # XXX What should the default be?
 test: test_inplace
+
+bench: bench_inplace
 
 ftest: ftest_inplace
 
 clean:
-	find . \( -name '*.o' -o -name '*.c' -o -name '*.so' -o -name '*.py[co]' -o -name '*.dll' \) -exec rm -f {} \;
+	find . \( -name '*.o' -o -name '*.c' -o -name '*.so' -o -name '*.py[cod]' -o -name '*.dll' \) -exec rm -f {} \;
 	rm -rf build
 
 realclean: clean
