=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
http://codespeak.net/lxml/index.html lxml-(.*)\.tgz
