=== debian/control ===
Source: lxml
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 5.0.37.1), python-all-dev (>= 2.6.6-1~), python-all-dbg, python3-all-dev (>= 3.1.2-10~), python3-all-dbg, python-pyrex (>= 0.9.4.1), libxml2-dev, libxslt1-dev, zlib1g-dev, python-setuptools, python3-setuptools (>= 0.6.29)
X-Python-Version: all
Standards-Version: 3.9.4
Homepage: http://codespeak.net/lxml/

Package: python-lxml
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Conflicts: python2.3-lxml, python2.4-lxml
Replaces: python2.3-lxml, python2.4-lxml
Provides: ${python:Provides}
Suggests: python-lxml-dbg
Description: pythonic binding for the libxml2 and libxslt libraries
 lxml is a new Python binding for libxml2 and libxslt, completely
 independent from existing Python bindings. Its aim:
 .
   * Pythonic API.
   * Documented.
   * Use Python unicode strings in API.
   * Safe (no segfaults).
   * No manual memory management!
 .
 lxml aims to provide a Pythonic API by following as much as possible
 the ElementTree API, trying to avoid inventing too many new APIs,
 or the user's having to learn new things -- XML is complicated enough.

Package: python-lxml-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python-lxml (= ${binary:Version}), python-dbg, ${shlibs:Depends}, ${misc:Depends}
Description: pythonic binding for the libxml2 and libxslt libraries (debug extension)
 lxml is a new Python binding for libxml2 and libxslt, completely
 independent from existing Python bindings.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python3-lxml
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: python3-lxml-dbg
Provides: ${python3:Provides}
Description: pythonic binding for the libxml2 and libxslt libraries
 lxml is a new Python binding for libxml2 and libxslt, completely
 independent from existing Python bindings. Its aim:
 .
   * Pythonic API.
   * Documented.
   * Use Python unicode strings in API.
   * Safe (no segfaults).
   * No manual memory management!
 .
 lxml aims to provide a Pythonic API by following as much as possible
 the ElementTree API, trying to avoid inventing too many new APIs,
 or the user's having to learn new things -- XML is complicated enough.

Package: python3-lxml-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python3-lxml (= ${binary:Version}), python3-dbg, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Description: pythonic binding for the libxml2 and libxslt libraries (debug extension)
 lxml is a new Python binding for libxml2 and libxslt, completely
 independent from existing Python bindings.
 .
 This package contains the extension built for the Python3 debug interpreter.

Package: python-lxml-doc
Priority: extra
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: python-lxml
Description: pythonic binding for the libxml2 and libxslt libraries (documentation)
 lxml is a new Python binding for libxml2 and libxslt, completely
 independent from these existing Python bindings.
 .
 This package contains the html documentation.
