## lxml 3.4.0

=== debian/changelog ===
lxml (3.4.0-1+deb8u2) jessie-security; urgency=high

  [ Utkarsh Gupta ]
   * Non-maintainer upload by the Debian ELTS Team.
   * CVE-2020-27783: Prevent combinations of <noscript> and <style> to
     sneak JavaScript through the HTML cleaner.

  [ Emilio Pozuelo Monfort ]
  * Switch to source format 3.0 so both the above patch and the previous
    one for CVE-2018-19787 get applied, which weren't before as there was
    no patch system. Thus this change additionally fixes CVE-2018-19787,
    which was shipped but wasn't applied in the previous update.
  * Run the test suite, but ignore failures for now.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 30 Nov 2020 13:23:00 +0100

lxml (3.4.0-1+deb8u1) jessie-security; urgency=high

  * CVE-2018-19787: Prevent an XSS injection vulnerability where LXML did not
    remove "javascript:" URLs that used escaping.

 -- Chris Lamb <lamby@debian.org>  Mon, 10 Dec 2018 09:39:10 +0100

lxml (3.4.0-1) unstable; urgency=medium

  * New upstream version 3.4.0.

 -- Matthias Klose <doko@debian.org>  Thu, 11 Sep 2014 21:17:44 +0200

lxml (3.3.6-0ubuntu1) utopic; urgency=medium

  * New upstrea version 3.3.6.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Sep 2014 21:02:59 +0200

lxml (3.3.5-1) unstable; urgency=medium

  * New upstrea version 3.3.5.

 -- Matthias Klose <doko@debian.org>  Sun, 18 May 2014 20:03:12 +0200

lxml (3.3.2-1) unstable; urgency=medium

  * New upstrea version 3.3.2.
    - Re-add lost properties of iterparse objects. Closes: #740226,
      #740102.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 03 Mar 2014 23:22:35 +0100

lxml (3.3.1-1) unstable; urgency=medium

  * New upstream version 3.3.1.

 -- Matthias Klose <doko@debian.org>  Mon, 17 Feb 2014 11:20:43 +0100

lxml (3.3.0~beta4-1) experimental; urgency=medium

  * New upstream version 3.3.0 beta4.
  * Update homepage. Closes: #698851.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Jan 2014 09:27:36 +0100

lxml (3.3.0~beta2-1) experimental; urgency=low

  * New upstream version 3.3.0 beta2.

 -- Matthias Klose <doko@debian.org>  Thu, 26 Dec 2013 00:37:23 +0100
