=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 build-arch: build
 build-indep: build
 build: build-stamp build3-stamp
-build-stamp: $(PYVERS:%=build-python%) $(PYVERS:%=dbg-build-python%)
+build-stamp: $(PYVERS:%=build-python%) $(PYVERS:%=dbg-build-python%) $(PYVERS:%=check-python%)
 	touch $@
 build-python%: prebuild
 	python$* setup.py build
@@ -31,13 +31,20 @@
 	python$*-dbg setup.py build
 	touch $@
 
-build3-stamp: $(PY3VERS:%=build3-python%) $(PY3VERS:%=dbg-build3-python%)
+build3-stamp: $(PY3VERS:%=build3-python%) $(PY3VERS:%=dbg-build3-python%) $(PY3VERS:%=check-python%)
 	touch $@
 build3-python%: prebuild
 	python$* setup.py build
 	touch $@
 dbg-build3-python%: prebuild
 	python$*-dbg setup.py build
+	touch $@
+
+check-python%:
+	python$* setup.py build_ext -i
+	-python$* test.py -vv
+	#python$*-dbg setup.py build_ext -i
+	#-python$*-dbg test.py -vv
 	touch $@
 
 clean:
