## lxml 3.7.1

=== Makefile ===
--- 
+++ 
@@ -3,22 +3,51 @@
 TESTFLAGS=-p -v
 TESTOPTS=
 SETUPFLAGS=
-LXMLVERSION=`cat version.txt`
+LXMLVERSION=$(shell cat version.txt)
 
-PYTHON_WITH_CYTHON=$(shell $(PYTHON)  -c 'import Cython.Compiler' >/dev/null 2>/dev/null && echo " --with-cython" || true)
-PY3_WITH_CYTHON=$(shell $(PYTHON3) -c 'import Cython.Compiler' >/dev/null 2>/dev/null && echo " --with-cython" || true)
+PYTHON_WITH_CYTHON=$(shell $(PYTHON)  -c 'import Cython.Build.Dependencies' >/dev/null 2>/dev/null && echo " --with-cython" || true)
+PY3_WITH_CYTHON=$(shell $(PYTHON3) -c 'import Cython.Build.Dependencies' >/dev/null 2>/dev/null && echo " --with-cython" || true)
+CYTHON_WITH_COVERAGE=$(shell $(PYTHON) -c 'import Cython.Coverage; import sys; assert not hasattr(sys, "pypy_version_info")' >/dev/null 2>/dev/null && echo " --coverage" || true)
+CYTHON3_WITH_COVERAGE=$(shell $(PYTHON3) -c 'import Cython.Coverage; import sys; assert not hasattr(sys, "pypy_version_info")' >/dev/null 2>/dev/null && echo " --coverage" || true)
+
+MANYLINUX_LIBXML2_VERSION=2.9.3
+MANYLINUX_LIBXSLT_VERSION=1.1.29
+MANYLINUX_IMAGE_X86_64=quay.io/pypa/manylinux1_x86_64
+
+.PHONY: all inplace rebuild-sdist sdist build require-cython wheel_manylinux wheel
 
 all: inplace
 
 # Build in-place
 inplace:
-	$(PYTHON) setup.py $(SETUPFLAGS) build_ext -i $(PYTHON_WITH_CYTHON)
+	$(PYTHON) setup.py $(SETUPFLAGS) build_ext -i $(PYTHON_WITH_CYTHON) --warnings --with-coverage
 
-sdist:
+rebuild-sdist: require-cython
+	rm -f dist/lxml-$(LXMLVERSION).tar.gz
+	find src -name '*.c' -exec rm -f {} \;
+	$(MAKE) dist/lxml-$(LXMLVERSION).tar.gz
+
+dist/lxml-$(LXMLVERSION).tar.gz:
 	$(PYTHON) setup.py $(SETUPFLAGS) sdist $(PYTHON_WITH_CYTHON)
+
+sdist: dist/lxml-$(LXMLVERSION).tar.gz
 
 build:
 	$(PYTHON) setup.py $(SETUPFLAGS) build $(PYTHON_WITH_CYTHON)
+
+require-cython:
+	@[ -n "$(PYTHON_WITH_CYTHON)" ] || { \
+	    echo "NOTE: missing Cython - please use this command to install it: $(PYTHON) -m pip install Cython"; false; }
+
+wheel_manylinux: dist/lxml-$(LXMLVERSION).tar.gz
+	time docker run --rm -t \
+		-v $(shell pwd):/io \
+		-e CFLAGS="-O3 -mtune=generic -pipe -fPIC" \
+		-e LDFLAGS="$(LDFLAGS)" \
+		-e LIBXML2_VERSION="$(MANYLINUX_LIBXML2_VERSION)" \
+		-e LIBXSLT_VERSION="$(MANYLINUX_LIBXSLT_VERSION)" \
+		$(MANYLINUX_IMAGE_X86_64) \
+		bash /io/tools/manylinux/build-wheels.sh /io/$<
 
 wheel:
 	$(PYTHON) setup.py $(SETUPFLAGS) bdist_wheel $(PYTHON_WITH_CYTHON)
@@ -30,15 +59,11 @@
 	$(PYTHON) test.py $(TESTFLAGS) $(TESTOPTS)
 
 test_inplace: inplace
-	$(PYTHON) test.py $(TESTFLAGS) $(TESTOPTS)
-	PYTHONPATH=src:$(PYTHONPATH) $(PYTHON) selftest.py
-	PYTHONPATH=src:$(PYTHONPATH) $(PYTHON) selftest2.py
+	$(PYTHON) test.py $(TESTFLAGS) $(TESTOPTS) $(CYTHON_WITH_COVERAGE)
 
 test_inplace3: inplace
 	$(PYTHON3) setup.py $(SETUPFLAGS) build_ext -i $(PY3_WITH_CYTHON)
-	$(PYTHON3) test.py $(TESTFLAGS) $(TESTOPTS)
-	PYTHONPATH=src:$(PYTHONPATH) $(PYTHON3) selftest.py
-	PYTHONPATH=src:$(PYTHONPATH) $(PYTHON3) selftest2.py
+	$(PYTHON3) test.py $(TESTFLAGS) $(TESTOPTS) $(CYTHON3_WITH_COVERAGE)
 
 valgrind_test_inplace: inplace
 	valgrind --tool=memcheck --leak-check=full --num-callers=30 --suppressions=valgrind-python.supp \
