=== debian/changelog ===
lxml (3.7.1-1+deb9u5) stretch-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * Add patch to prevent "@import" from re-occurring in the
    CSS after replacements, e.g. "@@importimport" and remove
    SVG image data URLs since they can embed script content.
    (Fixes: CVE-2021-43818) (Closes: #1001885)

 -- Utkarsh Gupta <utkarsh@debian.org>  Wed, 29 Dec 2021 19:08:30 +0530

lxml (3.7.1-1+deb9u4) stretch-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * CVE-2021-28957
    Due to missing input sanitization, XSS is possible for the HTML5
    formatcion attribute.

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 23 Mar 2021 19:03:02 +0100

lxml (3.7.1-1+deb9u3) stretch-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * Enable the test suite (non-fatal).
  * Switch to source format 3.0 (quilt), rather than having the patches
    in debian/patches/ but applied directly without a patch system.
  * Fix regression in Python 2 in the last part of CVE-2020-27783.
  * math-svg.patch: update expected results for the test suite.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 18 Dec 2020 09:50:10 +0100

lxml (3.7.1-1+deb9u2) stretch-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * CVE-2020-27783: Backport additional upstream commit
    a105ab8dc262ec6735977c25c13f0bdfcdec72a7 to address math/svg part of the
    vulnerability and complete the fix

 -- Roberto C. Sánchez <roberto@debian.org>  Tue, 15 Dec 2020 13:23:34 -0500

lxml (3.7.1-1+deb9u1) stretch-security; urgency=medium

  * Non-maintainer upload by the Debian LTS Team.
  * CVE-2018-19787: lxml/html/clean.py in the lxml.html.clean module
    does not remove javascript: URLs that use escaping.
  * CVE-2020-27783: Prevent combinations of <noscript> and <style> to
    sneak JavaScript through the HTML cleaner.

 -- Abhijith PA <abhijith@debian.org>  Thu, 26 Nov 2020 18:38:23 +0530

lxml (3.7.1-1) unstable; urgency=medium

  * New upstream version 3.7.1.

 -- Matthias Klose <doko@debian.org>  Thu, 05 Jan 2017 19:55:57 +0100

lxml (3.6.4-1) unstable; urgency=medium

  * New upstream version 3.6.4.

 -- Matthias Klose <doko@debian.org>  Wed, 24 Aug 2016 10:14:49 +0200

lxml (3.6.0-1) unstable; urgency=medium

  * New upstream version 3.6.0.

 -- Matthias Klose <doko@debian.org>  Tue, 29 Mar 2016 13:19:30 +0100

lxml (3.5.0-1) unstable; urgency=medium

  * New upstream version 3.5.0.

 -- Matthias Klose <doko@debian.org>  Fri, 04 Dec 2015 13:03:31 +0100

lxml (3.4.4-2) unstable; urgency=medium

  * Update watch file.
  * Build using cython. Closes: #792295.

 -- Matthias Klose <doko@debian.org>  Sun, 13 Sep 2015 14:21:16 +0200

lxml (3.4.4-1) unstable; urgency=medium

  * New upstream version 3.4.4.

 -- Matthias Klose <doko@debian.org>  Mon, 03 Aug 2015 14:13:30 +0200

lxml (3.4.2-1) unstable; urgency=medium

  * New upstream version 3.4.2.
  * python-lxml, python3-lxml: Suggest python-lxml-doc. Closes: #741214.
  * Build-depend on python-bs4 python3-bs4 python-html5lib python3-html5lib.
  * python-lxml: Recommend python-bs4, python-html5lib.
  * python3-lxml: Recommend python3-bs4, python3-html5lib.

 -- Matthias Klose <doko@debian.org>  Fri, 27 Feb 2015 05:11:23 +0100
