=== debian/control ===
--- 
+++ 
@@ -2,22 +2,25 @@
 Section: python
 Priority: optional
 Maintainer: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper (>= 5.0.37.1),
+Build-Depends: debhelper (>= 9),
   python-all-dev (>= 2.6.6-1~), python-all-dbg,
   python3-all-dev (>= 3.3.3), python3-all-dbg,
   python-pyrex (>= 0.9.4.1),
   libxml2-dev, libxslt1-dev, zlib1g-dev,
-  python-setuptools, python3-setuptools (>= 0.6.29)
-Build-Conflicts: cython
+  python-setuptools, python3-setuptools (>= 0.6.29),
+  python-bs4, python3-bs4,
+  python-html5lib, python3-html5lib,
+  cython, cython-dbg, cython3, cython3-dbg
 X-Python-Version: all
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://lxml.de/
 
 Package: python-lxml
 Architecture: any
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
-Suggests: python-lxml-dbg
+Recommends: python-bs4, python-html5lib
+Suggests: python-lxml-dbg, python-lxml-doc
 Description: pythonic binding for the libxml2 and libxslt libraries
  lxml is a new Python binding for libxml2 and libxslt, completely
  independent from existing Python bindings. Its aim:
@@ -46,7 +49,8 @@
 Package: python3-lxml
 Architecture: any
 Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Suggests: python3-lxml-dbg
+Recommends: python3-bs4, python3-html5lib
+Suggests: python3-lxml-dbg, python-lxml-doc
 Provides: ${python3:Provides}
 Description: pythonic binding for the libxml2 and libxslt libraries
  lxml is a new Python binding for libxml2 and libxslt, completely
@@ -78,6 +82,7 @@
 Priority: extra
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: python-lxml
 Description: pythonic binding for the libxml2 and libxslt libraries (documentation)
