=== debian/rules ===
--- 
+++ 
@@ -68,7 +68,7 @@
 install-prereq:
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 
 install-python%:
 	mkdir -p debian/python-lxml/usr/bin
