## lxml 4.0.0

=== debian/changelog ===
lxml (4.0.0-1) unstable; urgency=medium

  * New upstream version 4.0.0.

 -- Matthias Klose <doko@debian.org>  Sat, 23 Sep 2017 12:01:24 +0200

lxml (3.8.0-2) unstable; urgency=medium

  * Rebuild against pythonX.Y packages without the _fpectl extension.
    Addresses: #873899.

 -- Matthias Klose <doko@debian.org>  Fri, 01 Sep 2017 07:53:12 +0200

lxml (3.8.0-1) unstable; urgency=medium

  * New upstream version 3.8.0.

 -- Matthias Klose <doko@debian.org>  Tue, 20 Jun 2017 15:25:39 +0200

lxml (3.7.3-1) unstable; urgency=medium

  * New upstream version 3.7.3.
    - GH#218 was ineffective in Python 3.
    - GH#222: ``lxml.html.submit_form()`` failed in Python 3.
    - GH#220: ``xmlfile`` allows switching output methods at an element level.
    - Work around installation problems in recent Python 2.7 versions
      due to FTP download failures.
    - GH#219: ``xmlfile.element()`` was not properly quoting attribute values.
    - GH#218: ``xmlfile.element()`` was not properly escaping text content of
      script/style tags.

 -- Matthias Klose <doko@debian.org>  Sun, 26 Feb 2017 18:51:56 +0100
