=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 9),
+  dh-python,
   python-all-dev (>= 2.6.6-1~), python-all-dbg,
   python3-all-dev (>= 3.3.3), python3-all-dbg,
   python-pyrex (>= 0.9.4.1),
@@ -10,9 +11,9 @@
   python-setuptools, python3-setuptools (>= 0.6.29),
   python-bs4, python3-bs4,
   python-html5lib, python3-html5lib,
-  cython, cython-dbg, cython3, cython3-dbg
+  cython, cython-dbg, cython3, cython3-dbg,
 X-Python-Version: all
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: http://lxml.de/
 
 Package: python-lxml
