=== debian/changelog ===
lxml (4.1.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX-17.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 09 Jan 2018 13:53:11 -0800

lxml (4.1.0-1) unstable; urgency=medium

  * New upstream version 4.1.0.

 -- Matthias Klose <doko@debian.org>  Wed, 01 Nov 2017 05:55:16 +0100
