=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: lxml
 Section: python
 Priority: optional
-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 9),
   dh-python,
   python-all-dev (>= 2.6.6-1~), python-all-dbg,
@@ -13,7 +15,7 @@
   python-html5lib, python3-html5lib,
   cython, cython-dbg, cython3, cython3-dbg,
 X-Python-Version: all
-Standards-Version: 4.1.0
+Standards-Version: 4.1.1
 Homepage: http://lxml.de/
 
 Package: python-lxml
